<!-- /********************************************************************************
* Copyright (c) 2020 Contributors to the Eclipse Foundation
*
* See the NOTICE file(s) distributed with this work for additional
* information regarding copyright ownership.
*
* This program and the accompanying materials are made available under the
* terms of the Eclipse Public License v. 2.0 which is available at
* http://www.eclipse.org/legal/epl-2.0.
*
* SPDX-License-Identifier: EPL-2.0
********************************************************************************/ -->
<form [ngrxFormState]="externalPersonDetailsSandbox.addressDetailsFormState$ | async">
  <h4>{{ createOrEditAddressData }}</h4>
  <div>
    <!-- type -->
    <div class="form-group row">
      <label for="addressTypeId" class="col-sm-5 col-form-label">{{ 'Address.AddressType' | translate }}</label>
      <div class="col-sm-6">
        <select
          required
          type="text"
          class="form-control"
          [ngrxFormControlState]="((externalPersonDetailsSandbox.addressDetailsFormState$ | async)?.controls)['addressTypeId']"
        >
          <option [value]="null">{{ 'SelectOption' | translate }}</option>
          -->
          <option *ngFor="let addressType of addressTypesSandbox.addressTypes$ | async" [value]="addressType.id">{{ addressType.type }}</option>
        </select>
      </div>
    </div>

    <!-- MainAddress -->
    <div class="form-group row">
      <label for="isMainAddress" class="col-sm-5 col-form-label">{{ 'Address.MainAddress' | translate }}</label>
      <div class="col-sm-6" style="align-self: center;">
        <input
          type="checkbox"
          class="form-check-input"
          id="isMainAddress"
          [ngrxFormControlState]="((externalPersonDetailsSandbox.addressDetailsFormState$ | async)?.controls)['isMainAddress']"
        />
      </div>
    </div>

    <!-- postCard -->
    <div class="form-group row">
      <label for="postcode" class="col-sm-5 col-form-label">{{ 'Address.Postcode' | translate }}</label>
      <div class="col-sm-6">
        <input
          type="text"
          maxlength="30"
          class="form-control"
          id="postcode"
          [ngrxFormControlState]="((externalPersonDetailsSandbox.addressDetailsFormState$ | async)?.controls)['postcode']"
          autocomplete="off"
        />
      </div>
    </div>

    <!-- community -->
    <div class="form-group row">
      <label for="community" class="col-sm-5 col-form-label">{{ 'Address.Community' | translate }}</label>
      <div class="col-sm-6">
        <input
          type="text"
          maxlength="255"
          class="form-control"
          id="community"
          [ngrxFormControlState]="((externalPersonDetailsSandbox.addressDetailsFormState$ | async)?.controls)['community']"
          autocomplete="off"
        />
      </div>
    </div>

    <!-- community-suffix -->
    <div class="form-group row">
      <label for="communitySuffix" class="col-sm-5 col-form-label">{{ 'Address.CommunitySuffix' | translate }}</label>
      <div class="col-sm-6">
        <input
          type="text"
          maxlength="255"
          class="form-control"
          id="communitySuffix"
          [ngrxFormControlState]="((externalPersonDetailsSandbox.addressDetailsFormState$ | async)?.controls)['communitySuffix']"
          autocomplete="off"
        />
      </div>
    </div>

    <!-- street -->
    <div class="form-group row">
      <label for="street" class="col-sm-5 col-form-label">{{ 'Address.Street' | translate }}</label>
      <div class="col-sm-6">
        <input
          type="text"
          maxlength="255"
          class="form-control"
          id="street"
          [ngrxFormControlState]="((externalPersonDetailsSandbox.addressDetailsFormState$ | async)?.controls)['street']"
          autocomplete="off"
        />
      </div>
    </div>

    <!-- housenumber -->
    <div class="form-group row">
      <label for="housenumber" class="col-sm-5 col-form-label">{{ 'Address.Housenumber' | translate }}</label>
      <div class="col-sm-6">
        <input
          type="text"
          maxlength="30"
          class="form-control"
          id="housenumber"
          [ngrxFormControlState]="((externalPersonDetailsSandbox.addressDetailsFormState$ | async)?.controls)['housenumber']"
          autocomplete="off"
        />
      </div>
    </div>

    <!-- wgs_84_zone -->
    <div class="form-group row">
      <label for="wgs84Zone" class="col-sm-5 col-form-label">{{ 'Address.Wgs84Zone' | translate }}</label>
      <div class="col-sm-6">
        <input
          type="text"
          maxlength="255"
          class="form-control"
          id="wgs84Zone"
          [ngrxFormControlState]="((externalPersonDetailsSandbox.addressDetailsFormState$ | async)?.controls)['wgs84Zone']"
          autocomplete="off"
        />
      </div>
    </div>

    <!-- longitude -->
    <div class="form-group row">
      <label for="longitude" class="col-sm-5 col-form-label">{{ 'Address.Longitude' | translate }}</label>
      <div class="col-sm-6">
        <input
          type="text"
          maxlength="255"
          class="form-control"
          id="longitude"
          [ngrxFormControlState]="((externalPersonDetailsSandbox.addressDetailsFormState$ | async)?.controls)['longitude']"
          autocomplete="off"
        />
      </div>
    </div>

    <!-- latitude -->
    <div class="form-group row">
      <label for="latitude" class="col-sm-5 col-form-label">{{ 'Address.Latitude' | translate }}</label>
      <div class="col-sm-6">
        <input
          type="text"
          maxlength="255"
          class="form-control"
          id="latitude"
          [ngrxFormControlState]="((externalPersonDetailsSandbox.addressDetailsFormState$ | async)?.controls)['latitude']"
          autocomplete="off"
        />
      </div>
    </div>

    <!-- url_map -->
    <div class="form-group row">
      <label for="urlMap" class="col-sm-5 col-form-label">{{ 'Address.UrlMap' | translate }}</label>
      <div class="col-sm-6">
        <input
          type="text"
          maxlength="255"
          class="form-control"
          id="urlMap"
          [ngrxFormControlState]="((externalPersonDetailsSandbox.addressDetailsFormState$ | async)?.controls)['urlMap']"
          autocomplete="off"
        />
      </div>
    </div>

    <!-- note -->
    <div class="form-group row">
      <label for="note" class="col-sm-5 col-form-label">{{ 'Address.Note' | translate }}</label>
      <div class="col-sm-6">
        <input
          type="text"
          maxlength="255"
          class="form-control"
          id="note"
          [ngrxFormControlState]="((externalPersonDetailsSandbox.addressDetailsFormState$ | async)?.controls)['note']"
          autocomplete="off"
        />
      </div>
    </div>

    <!-- buttons -->
    <button *visibleByRight type="button" class="btn btn-primary btn-sm btn-success" (click)="showDialog()">
      {{ 'SaveBtn' | translate }}
    </button>

    <button type="button" class="btn btn-primary btn-sm" (click)="externalPersonDetailsSandbox.closeAddressDataDetail()">
      {{ 'CancelBtn' | translate }}
    </button>
  </div>
</form>
